Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591319 - Review Request: maven-clean-plugin - Maven Clean Plugin
Summary: Review Request: maven-clean-plugin - Maven Clean Plugin
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 21:18 UTC by Alexander Kurtakov
Modified: 2010-05-14 14:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-14 14:19:17 UTC
jjohnstn: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Alexander Kurtakov 2010-05-11 21:18:55 UTC
Spec URL: http://akurtakov.fedorapeople.org/maven-clean-plugin.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-clean-plugin-2.4.1-1.fc13.src.rpm
Description: The Maven Clean Plugin is a plugin that removes files generated at build-time in a project's directory.

Comment 1 Alexander Kurtakov 2010-05-11 21:19:41 UTC
Notes about this package:
- It builds successfully in koji against the dist-f14-maven221
target: http://koji.fedoraproject.org/koji/taskinfo?taskID=2181369

Comment 2 Jeff Johnston 2010-05-12 16:36:14 UTC
Missing:

Requires:       jpackage-utils
Requires:       java
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

Please fix or comment on warnings/errors below.

bash $ rpmlint maven-clean-plugin
(none): E: no installed packages by name maven-clean-plugin
0 packages and 0 specfiles checked; 0 errors, 0 warnings.

bash $ rpmlint maven-clean-plugin-2.4.1-1.fc14.noarch.rpm 
maven-clean-plugin.noarch: E: description-line-too-long C The Maven Clean Plugin is a plugin that removes files generated at build-time in a project's directory.
maven-clean-plugin.noarch: W: unexpanded-macro Provides maven2-plugin-clean = %{epoch}:2.4.1-1.fc14 %{epoch}
maven-clean-plugin.noarch: W: no-documentation
maven-clean-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-clean-plugin
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

bash $ rpmlint maven-clean-plugin-javadoc-2.4.1-1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 3 Alexander Kurtakov 2010-05-12 20:36:33 UTC
(In reply to comment #2)
> Missing:
> 
> Requires:       jpackage-utils
> Requires:       java
> Requires(post):       jpackage-utils
> Requires(postun):     jpackage-utils
Fixed.


> 
> Please fix or comment on warnings/errors below.
> 
> bash $ rpmlint maven-clean-plugin
> (none): E: no installed packages by name maven-clean-plugin
> 0 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> bash $ rpmlint maven-clean-plugin-2.4.1-1.fc14.noarch.rpm 
> maven-clean-plugin.noarch: E: description-line-too-long C The Maven Clean
> Plugin is a plugin that removes files generated at build-time in a project's
> directory.
Fixed.

> maven-clean-plugin.noarch: W: unexpanded-macro Provides maven2-plugin-clean =
> %{epoch}:2.4.1-1.fc14 %{epoch}
Fixed.

> maven-clean-plugin.noarch: W: no-documentation
No documentation available.

> maven-clean-plugin.noarch: W: non-conffile-in-etc
> /etc/maven/fragments/maven-clean-plugin
False positive.

> 1 packages and 0 specfiles checked; 1 errors, 3 warnings.
> 
> bash $ rpmlint maven-clean-plugin-javadoc-2.4.1-1.fc14.noarch.rpm 
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.    

New sources:
Spec URL: http://akurtakov.fedorapeople.org/maven-clean-plugin.spec
SRPM URL:
http://akurtakov.fedorapeople.org/maven-clean-plugin-2.4.1-2.fc13.src.rpm

Comment 4 Jeff Johnston 2010-05-12 21:16:02 UTC
Approved.

Comment 5 Alexander Kurtakov 2010-05-12 21:17:57 UTC
New Package CVS Request
=======================
Package Name: maven-plugin-clean
Short Description: Maven Clean Plugin
Owners: akurtakov
Branches: 
InitialCC:

Comment 6 Alexander Kurtakov 2010-05-12 21:19:17 UTC
Please ignore previous vrequest

New Package CVS Request
=======================
Package Name: maven-clean-plugin
Short Description: Maven Clean Plugin
Owners: akurtakov
Branches: 
InitialCC:

Comment 7 Dennis Gilmore 2010-05-13 22:29:12 UTC
CVS Done

Comment 8 Alexander Kurtakov 2010-05-14 14:19:17 UTC
Built in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=173430


Note You need to log in before you can comment on or make changes to this bug.